import { SelectProps } from '../select/SelectProps';
export interface DatePickerProps extends Omit<SelectProps, 'multiple' | 'options' | 'searchable' | 'allowClear' | 'limit' | 'MenuListProps' | 'ChipProps' | 'SearchInputProps' | 'renderOption' | 'onChange' | 'onSearch' | 'StartAdditional' | 'EndAdditional'> {
    /**  Controlled value */
    value?: Date | string | null;
    /**  Uncontrolled value */
    defaultValue?: Date | string | null;
    /** Format of the date (default: dd mm yyyy) */
    format?: 'dd mm yyyy' | 'mm dd yyyy';
    /** Override formatter */
    formatter?: (date: Date) => string;
    divider?: '-' | '/';
    min?: Date | string;
    max?: Date | string;
    onChange?: (valueDate: Date | null, formattedValue: string | null) => any;
}
