import React from 'react';
import Box from '../box/Box';
import Flex from '../flex/Flex';
import Tooltip from '../tooltip/Tooltip';
import Typography from '../typography/Typography';
export interface FieldLabelProps {
    /** Input id, If null, will automatically generate id */
    id?: string;
    /** Input label */
    label?: React.ReactNode;
    /** Label tooltip */
    info?: React.ReactNode;
    /** Error / success message */
    message?: React.ReactNode;
    /** Field error state */
    error?: boolean;
    /** Custom Flex wrapper */
    WrapperFlexProps?: React.ComponentProps<typeof Flex>;
    LabelFlexProps?: React.ComponentProps<typeof Flex>;
    MessageFlexProps?: React.ComponentProps<typeof Flex>;
    LabelProps?: React.ComponentProps<typeof Typography>;
    MessageProps?: React.ComponentProps<typeof Typography>;
    InfoProps?: React.ComponentProps<typeof Box>;
    InfoTooltipProp?: React.ComponentProps<typeof Tooltip>;
    /** Customize input render */
    renderInput?: (info: {
        id: string;
        error: boolean;
    }) => React.ReactNode;
    /** The ref is forwarded to the root element */
    className?: string;
    children?: React.ReactNode;
    ref?: React.Ref<HTMLElement>;
}
export declare const FieldLabel: React.ForwardRefExoticComponent<Pick<Pick<FieldLabelProps & import("../../hoc/withSx").WithSxProps, "label" | "error" | "info" | "children" | "id" | "message" | "className" | "sx" | "WrapperFlexProps" | "LabelFlexProps" | "MessageFlexProps" | "LabelProps" | "MessageProps" | "InfoProps" | "InfoTooltipProp" | "renderInput"> & React.RefAttributes<unknown> & import("../../hoc/withResponsive").WithResponsiveProps<Pick<FieldLabelProps & import("../../hoc/withSx").WithSxProps, "label" | "error" | "info" | "children" | "id" | "message" | "className" | "sx" | "WrapperFlexProps" | "LabelFlexProps" | "MessageFlexProps" | "LabelProps" | "MessageProps" | "InfoProps" | "InfoTooltipProp" | "renderInput"> & React.RefAttributes<unknown>>, "label" | "sm" | "md" | "lg" | "xl" | "error" | "info" | "children" | "id" | "key" | "message" | "className" | "sx" | "WrapperFlexProps" | "LabelFlexProps" | "MessageFlexProps" | "LabelProps" | "MessageProps" | "InfoProps" | "InfoTooltipProp" | "renderInput"> & React.RefAttributes<unknown>>;
export default FieldLabel;
