import { Filter, Sorting, TableColumn } from './TableProps';
export declare const ROOT_CLASS = "cads-table";
export declare const CONTROL_CLASS = "cads-table-control";
export declare const SELECTION_KEY = "__selection__";
export declare const OPERATORS: {
    EQUAL: string;
    DIFF: string;
    LESS: string;
    MORE: string;
    LESS_EQUAL: string;
    MORE_EQUAL: string;
    EMPTY: string;
    CONTAIN: string;
    NOT_EMPTY: string;
    START_WITH: string;
    END_WITH: string;
    AND: string;
    OR: string;
    DATE_IS: string;
    DATE_IS_NOT: string;
    DATE_BEFORE: string;
    DATE_AFTER: string;
    DATE_ON_BEFORE: string;
    DATE_ON_AFTER: string;
};
export declare const TABLE_HL_CLASS: string;
export declare function validateColumns(columns: TableColumn[]): void;
export declare function validateRows(keyField: string, rows: Array<any>): void;
export declare function spanningColumn(span?: {
    colSpan?: number;
    rowSpan?: number;
}): {};
export declare function defaultCompareFunc(a: any, b: any): 0 | 1 | -1;
export declare function defaultSorting(columns: TableColumn[]): Sorting[];
export declare function detectNextSortType(type: string): string;
export declare function applyFilter(value: any, filter: Filter): boolean;
export declare function exportToCsv(rows: any[][], filename?: string): void;
