interface ExtendOption {
    [key: string]: any;
}
interface CommonColor extends ExtendOption {
    black: string;
    white: string;
}
interface GreyColor extends ExtendOption {
    '50': string;
    '100': string;
    '200': string;
    '300': string;
    '400': string;
    '500': string;
    '600': string;
    '700': string;
    '800': string;
    '900': string;
}
interface BackgroundColor extends ExtendOption {
    paper: string;
    default: string;
    paperRgb: string;
    defaultRgb: string;
}
interface ActionColor extends ExtendOption {
    hover: string;
}
interface TextColor extends ExtendOption {
    primary: string;
    secondary: string;
    disabled: string;
}
export interface PaletteColor {
    main: string;
    light?: string;
    dark?: string;
    mainRgb?: string;
    lightRgb?: string;
    darkRgb?: string;
    contrastText?: string;
    '100'?: string;
    '200'?: string;
    '300'?: string;
    '400'?: string;
    '500'?: string;
    '600'?: string;
    '700'?: string;
    '800'?: string;
    '900'?: string;
}
export interface ThemePalette extends ExtendOption {
    mode: 'dark' | 'light';
    divider: string;
    tonalOffset: number;
    common: CommonColor;
    grey: GreyColor;
    greyRgb: GreyColor;
    background: BackgroundColor;
    primary: PaletteColor;
    secondary: PaletteColor;
    error: PaletteColor;
    warning: PaletteColor;
    info: PaletteColor;
    success: PaletteColor;
    border: PaletteColor;
    action: ActionColor;
    text: TextColor;
}
export declare const defaultLightPalette: ThemePalette;
export declare const defaultDarkPalette: ThemePalette;
export declare const defaultPalette: ThemePalette;
export {};
