import { ThemeOptions } from '../components/theme/ThemeContext';
import { CSSPropertiesCallback, RootCallback, SelectorCSSProperties, SelectorCSSPropertiesCallback, SxCSSProperties } from '../hoc/withSx';
type UseStyleOption = {
    withoutSx?: boolean;
};
export type MakeStyleContent = SxCSSProperties | RootCallback | CSSPropertiesCallback | SelectorCSSProperties | SelectorCSSPropertiesCallback;
export type MakeStyleCallback<T = any> = (theme: ThemeOptions) => {
    [key in keyof T]: MakeStyleContent;
};
export type MakeStyleParam<T = any> = {
    [key in keyof T]: MakeStyleContent;
} | MakeStyleCallback<T>;
export type MakeStyleResult<T = any> = (props?: any, options?: UseStyleOption) => {
    [key in keyof T]: string;
};
export declare function makeStyles<T = any>(param: MakeStyleParam<T>, classSuffix?: string): MakeStyleResult<T>;
export default makeStyles;
